For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
Voice Settings

List Voice Settings Presets

Was this page helpful?
Previous

Get Voice Settings Preset

Next
Built with

GET https://app.resemble.ai/api/v2/voice_settings_presets

Retrieve all voice settings presets (both custom and default).

$curl 'https://app.resemble.ai/api/v2/voice_settings_presets' \
> -H 'Authorization: Bearer YOUR_API_TOKEN'
1{
2 "success": true,
3 "data": {
4 "custom_presets": [
5 {
6 "uuid": "123e4567-e89b-12d3-a456-426614174000",
7 "name": "Energetic Voice",
8 "settings": {
9 "pace": 1.2,
10 "temperature": 1.1,
11 "pitch": 0.5,
12 "useHd": false,
13 "exaggeration": 0.5,
14 "description": "Speak energetically"
15 },
16 "is_public": false,
17 "created_at": "2024-01-01T00:00:00Z",
18 "updated_at": "2024-01-01T00:00:00Z"
19 }
20 ],
21 "default_presets": [
22 {
23 "uuid": "default-preset-uuid",
24 "name": "Default Preset",
25 "settings": {
26 "pace": 1.0,
27 "temperature": 0.8,
28 "pitch": 0.0,
29 "useHd": false,
30 "exaggeration": 0.5,
31 "description": ""
32 },
33 "is_public": true,
34 "created_at": "2024-01-01T00:00:00Z",
35 "updated_at": "2024-01-01T00:00:00Z"
36 }
37 ]
38 }
39}